org.apache.storm.topology

## Interface IRichBolt

- All Superinterfaces:
    IBolt, IComponent, Serializable
  All Known Implementing Classes:
    AbstractEsBolt, AbstractHBaseBolt, AbstractHdfsBolt, AbstractJdbcBolt, AbstractMongoBolt, AbstractRedisBolt, AvroGenericRecordBolt, BaseCassandraBolt, BaseRichBolt, BaseStatefulBoltExecutor, BaseTickTupleAwareRichBolt, BasicBoltExecutor, BatchBoltExecutor, BatchCassandraWriterBolt, BlobStoreAPIWordCountTopology.SplitSentence, BoltTracker, CassandraWriterBolt, CheckpointTupleForwarder, ClojureBolt, CoordinatedBolt, DevNullBolt, EsIndexBolt, EsLookupBolt, EsPercolateBolt, EventHubBolt, ExclamationTopology.ExclamationBolt, ExclamationTopology.ExclamationBolt, FluxShellBolt, GenericBolt, HBaseBolt, HBaseLookupBolt, HdfsBolt, HdfsFileTopology.MyBolt, HdfsSpoutTopology.ConstBolt, HiveBolt, IdBolt, IdentityBolt, JdbcInsertBolt, JdbcLookupBolt, JmsBolt, JoinResult, KafkaBolt, KafkaSpoutTestBolt, KeyedFairBolt, LoadBolt, LookupWordCount.PrintWordTotalCountBolt, MongoInsertBolt, MongoLookupBolt, MongoUpdateBolt, MqttBolt, MultipleLoggerTopology.ExclamationLoggingBolt, MultiThreadWordCountTopology.MultiThreadedSplitSentence, OpenTsdbBolt, PersistentWindowedBoltExecutor, PMMLPredictorBolt, PythonShellMetricsBolt, RedisFilterBolt, RedisLookupBolt, RedisStoreBolt, ResourceAwareExampleTopology.ExclamationBolt, ReturnResults, RichShellBolt, RocketMqBolt, RollingCountAggBolt, RollingCountBolt, SequenceFileBolt, SequenceFileTopology.MyBolt, SingleJoinBolt, SocketBolt, SolrUpdateBolt, StatefulBoltExecutor, StatefulWindowedBoltExecutor, TestAggregatesCounter, TestEventOrderCheckBolt, TestGlobalCount, TestPlannerBolt, TridentBoltExecutor, TupleCaptureBolt, WhitelistWordCount.PrintWordTotalCountBolt, WindowedBoltExecutor, WordCountTopology.SplitSentence, WordCountTopologyNode.SplitSentence

      public interface IRichBolt
      extends IBolt, IComponent

  When writing topologies using Java, `IRichBolt` and `IRichSpout` are the main interfaces to use to implement components of the topology.

- - ### Method Summary

    - ### Methods inherited from interface org.apache.storm.task.IBolt

      `cleanup, execute, prepare`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `declareOutputFields, getComponentConfiguration`

Copyright © 2021 The Apache Software Foundation. All rights reserved.